package com.lanyuanxiaoyao.service.executor.task.functions.pulsar.event;

import com.lanyuanxiaoyao.service.executor.task.functions.pulsar.ReadPulsarSplit;
import org.apache.flink.api.connector.source.SourceEvent;

/**
 * @author lanyuanxiaoyao
 */
public class EndEvent implements SourceEvent {
    private final ReadPulsarSplit split;

    public EndEvent(ReadPulsarSplit split) {
        this.split = split;
    }

    public ReadPulsarSplit getSplit() {
        return split;
    }

    @Override
    public String toString() {
        return "EndEvent{" +
               "split=" + split +
               '}';
    }
}
